Package org.apache.solr.client.solrj.response

# Class AnalysisResponseBase.AnalysisPhase

java.lang.Object
org.apache.solr.client.solrj.response.AnalysisResponseBase.AnalysisPhase

Enclosing class:
  `AnalysisResponseBase`

public static class AnalysisResponseBase.AnalysisPhase extends Object
A phase in the analysis process. The phase holds the tokens produced in this phase and the name of the class that produced them.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
The name of the class (analyzer, tokenizer, or filter) that produced the token stream for this phase.
`List<AnalysisResponseBase.TokenInfo>`
`getTokens()`
Returns a list of tokens which represent the token stream produced in this phase.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getClassName

public String getClassName()
The name of the class (analyzer, tokenizer, or filter) that produced the token stream for this phase.

Returns:
  The name of the class that produced the token stream for this phase.

### getTokens

public List<AnalysisResponseBase.TokenInfo> getTokens()
Returns a list of tokens which represent the token stream produced in this phase.

Returns:
  A list of tokens which represent the token stream produced in this phase.